curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/{id}/subdomains/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subdomain": "<string>",
"document_root": "<string>"
}
'{
"subdomain": "<string>",
"domain": "<string>",
"full_domain": "<string>",
"document_root": "<string>"
}Create a new subdomain for this hosting.
curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/{id}/subdomains/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subdomain": "<string>",
"document_root": "<string>"
}
'{
"subdomain": "<string>",
"domain": "<string>",
"full_domain": "<string>",
"document_root": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt
Use this file to discover all available pages before exploring further.
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Web hosting unique identifier
Organization unique identifier
Project unique identifier